Partners
API referenceEndpointsRedemption

Get the message a wallet signs to sign in

POST
/auth/nonce

Request Body

application/json
  1. body
wallet*string

Base58 Solana address.

platform*string

Your platform slug.

domain*string

Host of the page the winner is on, e.g. shop.example.com.

uri*string

Full URL of that page. Its host must equal domain.

Formaturi

Response Body

The message to pass to the wallet's signMessage, unchanged.

application/json
  1. response
success?boolean
data?
Example Request
curl -X POST 'https://api-staging.theverity.xyz/api/v1/redeem/auth/nonce' \  -H 'Content-Type: application/json' \  -d '{  "wallet": "string",  "platform": "string",  "domain": "string",  "uri": "http://example.com"}'
Example Response
{  "success": true,  "data": {    "message": "string"  }}